View Issue Details

IDProjectCategoryView StatusLast Update
0001316Ham Radio DeluxeBugpublic2018-07-23 20:01
ReporterSupport 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformDell i5 Quad CoreOSWin 7OS Version
Product Version 
Target VersionFixed in Version2018-07-23_Retest 
Summary0001316: FT-920 When Logbook is connected to HRD, DM780 CAT commands are blocked.
DescriptionI'm using HRD with a Yaesu FT-920. Whenever HRD Logbook is connected to HRD on
port 7809, DM780 is unable to control my rig. It is as if the HRD logbook
connection is blocking DM780.

The CAT commands from DM780 seem to be queued up, but not lost. In DM780, if I
make a sequence of radio changes via the Radio Pane or control macro buttons, as
soon as I disconnect the logbook, the commands get executed in sequence.

I have the "normal" update speed selected in the Logbook radio connection
options. In HRD, I have tried refresh intervals of 100ms and 500ms and both
behaved the same.

If Logbook is started and connects to HRD first, DM780 is unable to connect
(times out).

I have seen this issue with HRD 5.1 and HRD 5.11a. When I first saw this issue
on 5.1, I even tried a clean install of Windows 7, with a clean install of HRD
5.1, but the behavior was exactly the same.

I have tried various different serial port adapters and see the issue each and
every one. Currently using a StarTech PEX2S952 PCIe serial card.
Steps To Reproduce1. Start HRD
2. Start DM780, connect to HRD
3. test to see DM780 CAT commands are executed immediately
4. start Logbook, connect to HRD
5. test to see DM780 CAT commands are NOT executed
6. disconnect Logbook, watch for DM780 CAT commands to be executed en-masse
Additional InformationReported by n3hjx
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
TestingNot Started

Relationships

related to 0001363 feedback Issues Needing Retest FT-920 DM-780 Send/Receive Slow 

Activities

g3ucq

2018-06-25 04:36

viewer   ~0005471

I do not have a FT-920 but never saw this with a TS-2000, FTDX5000, IC-7300 or IC-7610.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:33 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 23:44 WA9PIE Release => (select)
2014-01-31 23:44 WA9PIE Module => (select)
2014-01-31 23:44 WA9PIE Sub-Module => (select)
2014-01-31 23:44 WA9PIE Report Build => (select)
2014-01-31 23:44 WA9PIE Assigned To Support =>
2014-01-31 23:44 WA9PIE Description Updated View Revisions
2014-01-31 23:44 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 14:34 WA9PIE Summary FT-920 When Logbook is connected to HRD, DM780 CAT commands are blocked. => Bug: FT-920 When Logbook is connected to HRD, DM780 CAT commands are blocked.
2014-02-02 16:39 WA9PIE View Status private => public
2014-10-23 13:39 n4kit Relationship added related to 0001363
2015-09-17 13:05 WA9PIE Module (select) => DM780
2015-09-17 13:17 WA9PIE Category DM-780 => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 14:11 WA9PIE Fix Build => (select)
2015-09-29 14:11 WA9PIE Summary Bug: FT-920 When Logbook is connected to HRD, DM780 CAT commands are blocked. => FT-920 When Logbook is connected to HRD, DM780 CAT commands are blocked.
2018-06-24 09:44 WA9PIE Project 1 - Backlog => Issues Needing Retest
2018-06-25 04:36 g3ucq Note Added: 0005471
2018-07-23 19:22 WA9PIE Status confirmed => closed
2018-07-23 19:22 WA9PIE Resolution open => fixed
2018-07-23 19:22 WA9PIE Testing => Not Started
2018-07-23 19:59 WA9PIE Project Issues Needing Retest => Ham Radio Deluxe
2018-07-23 20:01 WA9PIE Fixed in Version => 2018-07-23_Retest